package com.lantone.qc.dbanaly.lt.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 医院病历文书类型细分类示例表
 * </p>
 *
 * @author rgb
 * @since 2020-06-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("med_record_analyze_example")
public class RecordAnalyzeExample implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 主表ID
     */
    @TableField("record_analyze_id")
    private Long recordAnalyzeId;

    /**
     * 病人住院ID
     */
    @TableField("behospital_code")
    private String behospitalCode;


}
