package com.lantone.qc.kernel.catalogue.yiwu.crisisvaluereport;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

/**
 * @Description: 危急值记录中无临床意义
 * @author: rengb
 * @time: 2020/3/19 19:54
 */
@Component
public class CRI0385 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
    }
}