package com.lantone.qc.kernel.client;


import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 调用文本相似度服务
 * @author: 胡敬
 * @time: 2020/08/26 13:43
 */
@FeignClient(value = "Similarity-new-service", url="${NewSimilarity.url}")
public interface NewSimilarityServiceClient {

    @PostMapping(value = "")
    String getAnnotation(@RequestBody JSONObject similarityVo);
}



