package com.lantone.qc.pub.model.doc;

import com.google.common.collect.Maps;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

/**
 * @Description: 模块文档
 * @author: rengb
 * @time: 2020/3/17 13:58
 */
@Getter
@Setter
public class ModelDoc {
    //所有结构化信息存储
    private Map<String, String> structureMap = Maps.newHashMap();
    private String text;
    //页面结构化信息存储
    private Map<String, Object> pageData = Maps.newHashMap();
}