package com.lantone.qc.pub.model.doc.ward;

import com.lantone.qc.pub.model.doc.ModelDoc;
import com.lantone.qc.pub.model.label.ThreeLevelWardLabel;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : GeneralDoctorWardDoc
 * @Description : 普通医师查房
 * @Author : 楼辉荣
 * @Date: 2020-04-17 09:57
 */
@Getter
@Setter
public class GeneralDoctorWardDoc extends ModelDoc {
    private List<ThreeLevelWardLabel> threeLevelWardLabel = new ArrayList<>();
}