package com.lantone.qc.pub.model.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName : Drug
 * @Description : 药物名称
 * @Author : 胡敬
 * @Date: 2020-08-20 10:09
 */
@Setter
@Getter
public class Drug extends General {
    private Consumption consumption;        //用量
    private UsageWardRound usageWardRound;  //用法
    private Frequency frequency;            //频率
    private Stop stop;                      //停用
    private ReasonsForAntibiotic reasonsForAntibiotic;  //抗生素使用原因
}
