package com.lantone.qc.pub.model.entity;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName : Wound
 * @Description : 外伤史
 * @Author : 楼辉荣
 * @Date: 2020-03-05 19:04
 */
@Getter
@Setter
public class Wound extends General {
    private Negative negative;  //阴性
    private PD pd;  //时间
    private BodyPart bodyPart;  //部位
    private Degree degree;  // 程度
    private Treat treat;    //治疗
    private Operation operation;    //手术

}