package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : OperationDiscussionLabel
 * @Description :
 * @Author : 胡敬
 * @Date: 2020-03-24 11:02
 */
@Getter
@Setter
public class OperationDiscussionLabel {
    private String operativeFindings;   //手术经过文本(术中所见)
    private String riskAfterOp;    //术后风险文本
    private String attentionAfterOp;    //术后注意事项文本(处理及注意事项)
    private String measuresAfterOp;    //术后处理措施文本(处理及注意事项)
    private List<Vital> vitals = new ArrayList<>();   //生命体征实体
    private List<Drug> drugs = new ArrayList<>();  //药物
}