package com.lantone.qc.trans.changx;

import com.google.common.collect.Maps;
import com.lantone.qc.dbanaly.util.ModuleMappingUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.model.doc.MedicalRecordInfoDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.FastJsonUtils;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import com.lantone.qc.trans.ModelDocTrans;

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/**
 * @Description: 住院病历信息
 * @author: 胡敬
 * @time: 2020/6/3 15:45
 */
public class ChangxMedicalRecordInfoDocTrans extends ModelDocTrans {

    @Override
    public MedicalRecordInfoDoc extract(MedrecVo medrecVo) {
        Map<String, String> content = (Map) ((List) medrecVo.getContent().get("content")).get(0);
        MedicalRecordInfoDoc medicalRecordInfoDoc = new MedicalRecordInfoDoc();
        medicalRecordInfoDoc.setStructureMap(content);
        medicalRecordInfoDoc.setPageData(medrecVo.getContent());
        return medicalRecordInfoDoc;
    }

}