package com.lantone.qc.dbanaly.order;

import com.lantone.qc.dbanaly.facade.comsis.ModuleHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * @Description : 页面模板映射信息加载
 * @Author : rgb
 * @Date: 2020-03-11 11:42
 */
@Order(1)
@Component
public class ModuleOrder implements ApplicationRunner {

    @Autowired
    private ModuleHelper moduleHelper;

    public void run(ApplicationArguments var1) {
        moduleHelper.loadModuleInfo();
    }

}