package com.lantone.qc.dbanaly.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ClassName : KernelConstants
 * @Description : 业务常数类定义
 * @Author : 楼辉荣
 * @Date: 2020-03-11 11:39
 */
public class KernelConstants {
    //疾病相关属性
    public static final String CONCEPT_DIAG_PROPERTY_MAP = "concept_diag_property_map";
    //部位需要症状信息
    public static final String CONCEPT_CLINIC_BODYPART_PROPERTIES_LIST = "concept_clinic_bodypart_properties_list";
    //医院华卓映射映射
    public static final String HOSPITAL_DIAG_HUAZ_MAP = "hospital_diag_huaz_map";
    //朗通华卓映射映射
    public static final String LANTONE_DIAG_HUAZ_MAP = "lantone_diag_huaz_map";
    //医院疾病信息
    public static final String HOSPITAL_DIAG_MAP = "hospital_diag_map";
    //医院医生信息
    public static final String HOSPITAL_DOCTOR_MAP = "hospital_doctor_map";


    public static List<String> hospitalDiagNameList = new ArrayList<>();
    public static List<String> clinicModificationList = new ArrayList<>();
    public static List<String> clinicNameList = new ArrayList<>();
}