package com.lantone.qc.kernel.catalogue.beilun.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRC0499
 * @Description : 未描述辅助检查
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRC0499 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if(firstCourseRecordDoc != null){
            Map<String, String> firstRecordMap = firstCourseRecordDoc.getStructureMap();
            if(firstRecordMap != null){
                String morbidity_after = firstRecordMap.get("辅助检查");
                if(morbidity_after != null){
                    if(CatalogueUtil.isEmpty(morbidity_after)){
                        status.set("-1");
                    }
                }else {
                    status.set("-1");
                }
            }
            }
        }
    }