package com.lantone.qc.pub.model.doc;

import com.lantone.qc.pub.model.label.*;
import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName : LeaveHospitalDoc
 * @Description : 出院小结文档
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:58
 */
@Getter
@Setter
public class LeaveHospitalDoc extends ModelDoc {
    private LeaveHospitalLabel leaveHospitalLabel;
    private LeaveHospitalDoctorAdviceLabel leaveHospitalDoctorAdviceLabel;//出院医嘱
    private DiagLabel beHospitalizedLabel;//入院诊断
    private DiagLabel leaveDiagLabel;//出院诊断
}