package com.lantone.qc.pub.model.doc.operation;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 手术文档
 * @author: rengb
 * @time: 2020/3/20 16:55
 */
@Getter
@Setter
public class OperationDoc {

    private String operationName;
    private OperationDiscussionDoc operationDiscussionDoc; // 术后首次病程及谈话记录
    private OperationRecordDoc operationRecordDoc;  // 手术记录
    private PreoperativeDiscussionDoc preoperativeDiscussionDoc; // 术前讨论、术前小结
    private OperationInformedConsentDoc operationInformedConsentDoc; // 手术知情同意书
    private OperationSafetyChecklistDoc operationSafetyChecklistDoc; // 手术安全核查表

}