package com.lantone.qc.pub.model.doc.transferrecord;

import com.lantone.qc.pub.model.doc.ModelDoc;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 转科记录
 * @author: rengb
 * @time: 2020/3/20 16:01
 */
@Getter
@Setter
public class TransferRecordDoc extends ModelDoc {

    private String transferRecordName;
    //所有转科记录
    private List<TransferRecordDoc> allTransferDocs = new ArrayList<>();
    //所有转入记录
    private List<TransferIntoDoc> transferIntoDocs = new ArrayList<>();
    //所有转出记录
    private List<TransferOutDoc> transferOutDocs = new ArrayList<>();

}