package com.lantone.qc.pub.model.label;

import com.lantone.qc.pub.model.entity.*;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : CaseCharacteristicLabel
 * @Description : 病历特点
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:57
 */
@Getter
@Setter
public class CaseCharacteristicLabel extends GeneralLabel {
    //临床表现
    private List<Clinical> clinicals = new ArrayList<>();
    //辅助检查
    private List<Pacs> pacses;
    //化验
    private List<Lis> lises;
    //治疗
    private List<Treat> treats;
    //一般情况
    private List<GeneralDesc> generals;
    //疾病信息
    private List<Diag> diags = new ArrayList<>();
    //入院途径
    private BeHospitalizedWay beHospitalizedWay;
    //与现病史相似度
    private double likeRate;
}